%global         pypi_name      extension_helpers
%define         srcname        extension-helpers


Name:           python-extension-helpers
Version:        0.1
Release:        %mkrel 1
Summary:        Convenience helpers to assist with building Python packages
License:        BSD-3
Group:          Development/Python
URL:            https://pypi.org/project/extension-helpers/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The extension-helpers package includes convenience helpers to assist
with building Python packages with compiled C/Cython extensions. It is
developed by the Astropy project but is intended to be general and
usable by any Python package.

%package -n python3-extension-helpers
Summary:        Convenience helpers to assist with building Python3 packages
Group:          Development/Python
%{?python_provide:%python_provide python3-extension-helpers}
BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
Provides:       extension-helpers = %{version}-%{release}

%description -n python3-extension-helpers
The extension-helpers package includes convenience helpers to assist
with building Python packages with compiled C/Cython extensions. It is
developed by the Astropy project but is intended to be general and
usable by any Python package.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-extension-helpers
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Dec 23 2020 eatdirt <eatdirt> 0.1-1.mga8
+ Revision: 1663146
- Fix missing BR
- imported package python-extension-helpers

